function nextParticlePos = computeNextPosition(currentVx, currentVy, currentVz, currentPosition, noOfcells, lengthOfSpace, dt)

%nextParticlePos = [x' y' z']

%currentPosition = [x y z]
%noOfcells = [a b c];

cellIndex = ceil(currentPosition.*(noOfcells./lengthOfSpace));
vAtCurrentPosition = [currentVx(cellIndex(1),cellIndex(2),cellIndex(3)) currentVy(cellIndex(1),cellIndex(2),cellIndex(3)) currentVz(cellIndex(1),cellIndex(2),cellIndex(3))];
nextParticlePos = currentPosition + vAtCurrentPosition*dt;

%ceiling
if nextParticlePos(1) > lengthOfSpace(1)
    nextParticlePos(1) = nextParticlePos(1) - lengthOfSpace(1);
end
if nextParticlePos(1) < 0
    nextParticlePos(1) = lengthOfSpace(1) + nextParticlePos(1);
end
%side
if nextParticlePos(2) > lengthOfSpace(2)
    nextParticlePos(2) = nextParticlePos(2) - lengthOfSpace(2);
end
if nextParticlePos(2) < 0
    nextParticlePos(2) = lengthOfSpace(2) + nextParticlePos(2);
end
%front/back
if nextParticlePos(3) > lengthOfSpace(3)
    nextParticlePos(3) = nextParticlePos(3) - lengthOfSpace(3);
end
if nextParticlePos(3) < 0
    nextParticlePos(3) = lengthOfSpace(3) + nextParticlePos(3);
end