function aa = quiverPlot3D(currentVx, currentVy, currentVz, sizeofcells)

%sizeOfcells = [size_x size_y size_z]
sizeSpace = size(currentVx);

hold on
[X, Y, Z] = meshgrid(1:sizeSpace(1), 1:sizeSpace(2), 1:sizeSpace(3));
X = X*sizeofcells(1);
Y = Y*sizeofcells(2);
Z = Z*sizeofcells(3);

% subplot(1,2,1);
quiver3(X,Y,Z,currentVx,currentVy,currentVz,'b')
% set(gca,'plotboxaspectratio',[2 2 2])
xlabel('X axis')
ylabel('Y axis')
zlabel('Z axis')
view([20 35])
axis([0 11 0 11 0 11])
grid on;
grid minor

% subplot(1, 2, 2);
% quiver3(X,Y,Z,currentVx,currentVy,currentVz,'b')
% set(gca,'plotboxaspectratio',[2 2 2])
% xlabel('X axis')
% ylabel('Y axis')
% zlabel('Z axis')
% view([360 90])
% axis([0 10 0 10 0 10])
% grid on;
% grid minor
% pause(0.01)
drawnow

hold off